Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.propertyeditors
Class InputSourceEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.InputSourceEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class InputSourceEditor

extends java.beans.PropertyEditorSupport

Editor for `org.xml.sax.InputSource`, converting from a Spring resource location String to a SAX InputSource object.

Supports Spring-style URL notation: any fully qualified standard URL ("file:", "http:", etc) and Spring's special "classpath:" pseudo-URL.

Since:
  3.0.3
Author:
  Juergen Hoeller
See Also:
  `InputSource`, `ResourceEditor`, `ResourceLoader`, `URLEditor`, `FileEditor`

Constructor Summary
`InputSourceEditor()` Create a new InputSourceEditor, using the default ResourceEditor underneath.
`InputSourceEditor(ResourceEditor resourceEditor)` Create a new InputSourceEditor, using the given ResourceEditor underneath.

Method Summary
`java.lang.String` | `getAsText()`
`void` | `setAsText(java.lang.String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSourceEditor

    public InputSourceEditor()

  Create a new InputSourceEditor, using the default ResourceEditor underneath.

### InputSourceEditor

    public InputSourceEditor(ResourceEditor resourceEditor)

  Create a new InputSourceEditor, using the given ResourceEditor underneath.

  Parameters:
    `resourceEditor` - the ResourceEditor to use

Method Detail

### setAsText

    public void setAsText(java.lang.String text)
                   throws java.lang.IllegalArgumentException

  Specified by:
    `setAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `setAsText` in class `java.beans.PropertyEditorSupport`
  Throws:
    `java.lang.IllegalArgumentException`

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD